/*!-------------------------------------------------------------------------------------------------
 - #%L                                                                                            -
 - chvote-common-theme                                                                            -
 - %%                                                                                             -
 - Copyright (C) 2016 - 2018 République et Canton de Genève                                       -
 - %%                                                                                             -
 - This program is free software: you can redistribute it and/or modify                           -
 - it under the terms of the GNU Affero General Public License as published by                    -
 - the Free Software Foundation, either version 3 of the License, or                              -
 - (at your option) any later version.                                                            -
 -                                                                                                -
 - This program is distributed in the hope that it will be useful,                                -
 - but WITHOUT ANY WARRANTY; without even the implied warranty of                                 -
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                   -
 - GNU General Public License for more details.                                                   -
 -                                                                                                -
 - You should have received a copy of the GNU Affero General Public License                       -
 - along with this program. If not, see <http://www.gnu.org/licenses/>.                           -
 - #L%                                                                                            -
 -------------------------------------------------------------------------------------------------*/

@mixin chvote-button-style($theme) {

  $primary: map-get($theme, primary);

  // add space between icon and button text
  .mat-button > .mat-button-wrapper > .mat-icon,
  .mat-raised-button > .mat-button-wrapper > .mat-icon {
    margin-right: 1rem;
  }

  td-dialog-actions .mat-button.mat-accent {
    color: mat-color($primary, default) !important;
  }

}






